Bug 1129001 - radicale.service doesn't restart on failure
Summary: radicale.service doesn't restart on failure
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: radicale
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Juan Orti Alcaine
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 04:14 UTC by John Heidemann
Modified: 2014-08-27 01:35 UTC (History)
2 users (show)

Fixed In Version: radicale-0.9-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-27 01:35:44 UTC


Attachments (Terms of Use)

Description John Heidemann 2014-08-12 04:14:21 UTC
Description of problem:
If radicale crashes, it must be manually restarted.
It should restart itself after failure.

Version-Release number of selected component (if applicable):
radicale-0.8-10.fc20.noarch

How reproducible:
every time (it crashes)

Steps to Reproduce:
1. start radicale
   systemctl enable radicale.service
   systemctl start radicale.service
2. kill it (killall ridcale) to simulate a crash
3. watch as all the contacts in your phone disappear when it times out trying to verify they still exist

Actual results:
radicale, when it's dead, is truely dead
and not just pining for the fjords.

Expected results:
it should spring back to life, a phoenix anew.

Additional info:
Suggested patch is to add these two lines to the [Service] part of
/lib/systemd/system/radicale.service:

Restart=always
RestartSec=42s


I'm not sure why it crashes.  An alternative is to fix all the bugs in it.  In the meantime, I suggest Restart is a plausible work-around.

Thanks.

Comment 1 Juan Orti Alcaine 2014-08-12 06:57:20 UTC
Why RestartSec=42s? Have you tested if the default 100ms works?

Comment 2 John Heidemann 2014-08-13 02:33:47 UTC
Nothing special about RestartSec=42s, I just copied it from sshd.service.
If you know better, please change it.

Comment 3 Fedora Update System 2014-08-14 10:12:50 UTC
radicale-0.9-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/radicale-0.9-1.fc20

Comment 4 John Heidemann 2014-08-14 16:58:25 UTC
thanks, looks fixed to me with radicale-0.9-1.fc20

Comment 5 Fedora Update System 2014-08-16 00:32:41 UTC
Package radicale-0.9-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing radicale-0.9-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9470/radicale-0.9-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-08-27 01:35:44 UTC
radicale-0.9-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.